Name:           nmon
Version:        16q
Release:        %mkrel 2
Summary:        Nigel's performance Monitor for Linux 
Group:          Monitoring
License:        GPLv3
URL:            https://nmon.sourceforge.net/
Source0:        https://sourceforge.net/projects/%{name}/files/lmon%{version}.c
Source1:        https://sourceforge.net/projects/%{name}/files/Documentation.txt
# Manpage available from the patch archive:
# https://sourceforge.net/tracker/?func=detail&aid=2833213&group_id=271307&atid=1153693
Source2:        %{name}.1

BuildRequires:  pkgconfig(ncurses)


%description
nmon is a systems administrator, tuner, benchmark tool, which provides
information about CPU, disks, network, etc., all in one view.


%prep
%setup -T -c -n %{name}
sed -e "s/\r//" %{SOURCE1} > Documentation.txt
touch -c -r %{SOURCE1} Documentation.txt
cp %{SOURCE0} .


%build
%ifarch ppc %{power64}
  %{__cc} %{optflags} -D JFS -D GETUSER \
     -D LARGEMEM -lncurses -lm lmon%{version}.c -D POWER -o %{name}
%else
  %{__cc} %{optflags} -D JFS -D GETUSER \
     -D LARGEMEM -D X86 -lncurses -lm lmon%{version}.c -o %{name}
%endif


%install
install -D -p -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc Documentation.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 16q-2.mga10
+ Revision: 2222255
- Mageia 10 Mass Rebuild

* Tue Apr 23 2024 daviddavid <daviddavid> 16q-1.mga10
+ Revision: 2060694
- new version: 16q

* Sat Sep 02 2023 daviddavid <daviddavid> 16p-1.mga10
+ Revision: 1983519
- new version: 16p

* Sun Sep 11 2022 neoclust <neoclust> 16n-1.mga9
+ Revision: 1886947
- New version  16n
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 16m-2.mga8
+ Revision: 1534237
- Mageia 8 Mass Rebuild

* Sun Sep 29 2019 daviddavid <daviddavid> 16m-1.mga8
+ Revision: 1447943
- new version: 16m

* Sun Jun 30 2019 daviddavid <daviddavid> 16k-1.mga8
+ Revision: 1416245
- new version: 16k

* Tue Apr 09 2019 daviddavid <daviddavid> 16j-1.mga7
+ Revision: 1387298
- new version: 16j

* Wed Feb 06 2019 daviddavid <daviddavid> 16i-1.mga7
+ Revision: 1363630
- new version: 16i

* Sat Jan 12 2019 daviddavid <daviddavid> 16h-1.mga7
+ Revision: 1355577
- new version: 16h

* Sun Sep 23 2018 umeabot <umeabot> 16g-2.mga7
+ Revision: 1299752
- Mageia 7 Mass Rebuild

* Thu Oct 19 2017 daviddavid <daviddavid> 16g-1.mga7
+ Revision: 1172794
- imported package nmon

